<?php

/**
 * Fired during plugin activation
 *
 * @link       https://taamul.com
 * @since      1.0.2
 *
 * @package    Taamul
 * @subpackage Taamul/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.2
 * @package    Taamul
 * @subpackage Taamul/includes
 * @author     Taamul <taamul.inc@gmail.com>
 */
class Taamul_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.2
	 */
	public static function activate() {
		global $table_prefix, $wpdb;
		$table_name = "{$table_prefix}taamul";

		if($wpdb->get_var( "show tables like '$table_name'" ) != $table_name) 
		{
		$sql = "CREATE TABLE $table_name (
			`id` int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
			`rating` int(11) NOT NULL,
			`feedback_text` varchar(255) NOT NULL,
			`date_time` datetime NOT NULL,
			`user_ip_address` varchar(255) NOT NULL
		  ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4";
		}
			
		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		dbDelta($sql);
	}

}
