<?php
/**
 * Plugin Name:       Taamul
 * Plugin URI:        https://www.taamul.com
 * Description:       The simplest way to collect user feedback, right on your website.
 * Author:            Taamul
 * Author URI:        https://taamul.com
 * Version:           1.0.2
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       taamul
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 */
define( 'TAAMUL_VERSION', '1.0.2' );
define( 'TAAMUL_SORT_NAME', 'taamul' );
/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-taamul-activator.php
 */
function activate_taamul() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-taamul-activator.php';
	Taamul_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-taamul-deactivator.php
 */
function deactivate_taamul() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-taamul-deactivator.php';
	Taamul_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_taamul' );
register_deactivation_hook( __FILE__, 'deactivate_taamul' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-taamul.php';



add_action( 'wp_ajax_taamul', 'ajax_taamul');
add_action( 'wp_ajax_nopriv_taamul', 'ajax_taamul');

function taamul_enqueue_type_fdsend_kit() {
   wp_enqueue_script( 'taamul-add-typekit', plugin_dir_url( __FILE__ ) . 'public/js/taamul_modernizr.js', array(), '1.0' );
   wp_add_inline_script( 'taamul-add-typekit', 'var Taamulfeedback = { ajaxurl: "'.admin_url ('admin-ajax.php').'" }' );
}
add_action( 'wp_enqueue_scripts', 'taamul_enqueue_type_fdsend_kit' );

function ajax_taamul()	
{
	global $wpdb;
	$table = $wpdb->prefix.'taamul';
	
	$rating 					= sanitize_text_field($_REQUEST['rating']);
	$feedback_text 				= sanitize_text_field($_REQUEST['feedback_text']);
	$date_time					= current_time('mysql', 1);
	$user_ip_address			= $_SERVER['REMOTE_ADDR'];
	
	$data = array('rating' => $rating,'feedback_text' => $feedback_text,'date_time' => $date_time,'user_ip_address' => $user_ip_address);
	$format = array('%s','%s','%s','%s');
	$wpdb->insert($table,$data,$format);
	$tmids = $wpdb->insert_id;
	return $tmids;
}

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.2
 */
 
function taamul(){
	global $wpdb;
	require_once plugin_dir_path( __FILE__ ) . 'includes/'.TAAMUL_SORT_NAME.'_list_table.php';
	get_list_table();
}
 
function run_taamul() {

	$plugin = new Taamul();
	$plugin->run();

}
run_taamul();
